<header class="fixed w-screen top-0 bg-blue-500 dark:bg-blue-700 z-40">
    <div class="p-3 flex items-center justify-between bg-blue-500 dark:bg-blue-700 bg-opacity-100">
        <a routerLink="/" (click)="homeTrigger()" class="md:flex md:items-center md:justify-center">
            <div class="fav w-14 md:w-28 h-14" [ngClass]="home ? 'zoom':''">
                <svg class="h-12 w-12" xmlns="http://www.w3.org/2000/svg" fill="white" viewBox="0 0 24 24"
                    aria-hidden="true">
                    <path stroke-width="1"
                        d="M19 3h-1V1h-2v2H8V1H6v2H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16H5V9h14v10zM5 7V5h14v2H5zm2 4h10v2H7zm0 4h7v2H7z" />
                </svg>
            </div>
            <div class="hidden md:flex items-center justify-start text-2xl font-medium text-white h-14 px-4 pt-2 pb-3 text-center">
                    Events Party
            </div>
        </a>
        <a class="md:hidden flex" routerLink="/" (click)="homeTrigger()">
            <div class="hidden customSM:inline text-2xl font-medium pb-1 text-white">
                    Events Party
            </div>
        </a>
        <a class="md:hidden" (click)="menuTrigger()">
            <div class="menu-btn w-14 md:w-28 h-14" [ngClass]="scelta ? 'open':''">
                <div class="menu-btn__burger"></div>
            </div>
        </a>
        <div class="hidden md:flex" *ngIf="!isLogged">
            <div class="flex items-center justify-center w-28 h-14">
                <button routerLink="{{ routerLinkButton(true) }}" (click)="homeTrigger()"
                    class="whitespace-nowrap flex items-center justify-center px-4 py-2 border active:border-2 active:border-blue-200 rounded-md shadow-sm text-base font-medium bg-white">
                    {{ firstButton }}
                </button>
            </div>
            <div class="flex items-center justify-center w-28 h-14">
                <button routerLink="{{ routerLinkButton(false) }}" (click)="logTrigger()"
                    class="whitespace-nowrap flex items-center justify-center px-4 py-2 border active:border-2 active:border-blue-200 rounded-md shadow-sm text-base font-medium bg-white">
                    {{ secondButton }}
                </button>
            </div>
        </div>
        <div class="hidden md:flex" *ngIf="isLogged">
            <div class="flex items-center justify-end w-28 h-14">
                <button routerLink="{{ routerLinkButton(true) }}" (click)="homeTrigger()"
                    class="whitespace-nowrap flex items-center justify-end px-4 py-2 rounded-md text-lg font-medium text-white">
                    {{ nameSection }}
                </button>
            </div>
            <div class="flex items-center justify-center w-28 h-14" routerLink="{{ routerLinkButton(true) }}" (click)="homeTrigger()">
                <img [src]="imgSection" class="flex items-center justify-center bg-white absolute w-10 h-10 rounded-full cursor-pointer">
            </div>
        </div>
    </div>
</header>
<div class="bg-blue-500 dark:bg-blue-700 menu p-3 z-30 top-20 md:hidden" [ngClass]="scelta ? '':'chiuso'">
    <div class="photo">
        <img [src]="imgSection" class="bg-white photoImg"  referrerpolicy="no-referrer">
    </div>
    <div class="flex text-base font-medium justify-center text-white pt-40">{{ nameSection}}</div>
    <div class="items-center justify-center">
        <a routerLink="{{ routerLinkButton(true) }}" (click)="homeTrigger()"
            class="flex items-center justify-center py-2 mt-10 my-6 border border-transparent rounded-md shadow-md shadow-slate-500 text-base font-medium bg-white">
            {{ firstButton }} </a>
        <a routerLink="{{ routerLinkButton(false) }}" (click)="logTrigger()"
            class="flex items-center justify-center py-2 my-6 border border-transparent rounded-md shadow-md shadow-slate-500 text-base font-medium bg-white">
            {{ secondButton }} </a>
    </div>
</div>
<div class="foggy z-20 md:hidden" [ngClass]="scelta ? 'open':''" (click)="menuTrigger()" (scroll)="menuTrigger()"></div>